<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">
 
  <module name="supplychain" package="com.axelor.apps.supplychain.db"/>
 
  <entity name="MrpLineSaleAndMargin" lang="java">
      <many-to-one name="mrp" ref="com.axelor.apps.supplychain.db.Mrp" title="Mrp"/>
      <many-to-one name="product" ref="com.axelor.apps.base.db.Product" title="Product"/>
		  
      <decimal name="firstQuarterMax" title="First Quarter" />
      <decimal name="secondQuarterMax" title="Second Quarter" />
      <decimal name="thirdQuarterMax" title="Third Quarter" />
      <decimal name="forthQuarterMax" title="Forth Quarter" />
      <decimal name="firstQuarterMarge" title="First Quarter" />
      <decimal name="secondQuarterMarge" title="Second Quarter" />
      <decimal name="thirdQuarterMarge" title="Third Quarter" />
      <decimal name="forthQuarterMarge" title="Forth Quarter" />
      <many-to-one name="company" ref="com.axelor.apps.base.db.Company" title="Company" transient="true"/>
      <many-to-one name="unit" ref="com.axelor.apps.base.db.Unit" title="Unit" transient="true"/>
      <many-to-one name="productOrigin" ref="com.axelor.apps.base.db.Product" title="Product Origin"/>
      
      
    <extra-code><![CDATA[
        // AVAILABLE SCENARIOS
        public static final int MIN = 1;
        public static final int MAX = 2;
        public static final int HIST = 3;
      ]]></extra-code>


  </entity>

</domain-models>
